Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::DisplayManager Class Reference

A GdkDisplayManager C++ wrapper class. More...

`#include <xfc/gdk/displaymanager.hh>`

Inheritance diagram for Xfc::Gdk::DisplayManager:

List of all members.

## Signal Prototypes

- const DisplayOpenedSignalType display_opened_signal
    Display opened signal (see signal_display_opened()).

## Public Member Functions

Constructors

- virtual ~DisplayManager ()
    Destructor.

Accessors

- GdkDisplayManager * gdk_display_manager () const
    Get a pointer to the GdkDisplayManager structure.
- operator GdkDisplayManager * () const
    Conversion operator; safely converts a DisplayManager to a GdkDisplayManager pointer.
- Display * get_default_display () const
    Gets the default Display.
- bool list_displays (std::vector< Display * > &displays) const
    List all currently open displays.

Methods

- void set_default_display (const Display &display)
    Sets display as the default display.

Signal Proxies

- const DisplayOpenedSignalProxy signal_display_opened ()
    Connect to the display_opened_signal; emitted when a Display is opened.

## Static Public Member Functions

Accessors

- DisplayManager * get ()
    Returns the global DisplayManager singleton object.

## Protected Member Functions

Constructors

- DisplayManager (GdkDisplayManager *display_manager, bool owns_reference=true)
    Construct a new DisplayManager from an existing GdkDisplayManager.

## Detailed Description

A GdkDisplayManager C++ wrapper class.

The purpose of the DisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes.

## Constructor & Destructor Documentation

Xfc::Gdk::DisplayManager::DisplayManager | ( | GdkDisplayManager * | display_manager,
|  | bool | owns_reference = `true`
| ) | `[explicit, protected]`

Construct a new DisplayManager from an existing GdkDisplayManager.

Parameters:

  | display_manager | A pointer to a GdkDisplayManager.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The display_manager can be a newly created GdkDisplayManager or an existing GdkDisplayManager. (see G::Object::Object).

## Member Function Documentation

Display* Xfc::Gdk::DisplayManager::get_default_display | ( |  | ) | const

Gets the default Display.

Returns:
  A Display, or null if there is no default display.

bool Xfc::Gdk::DisplayManager::list_displays | ( | std::vector< Display * > & | displays | ) | const

List all currently open displays.

Parameters:

  | displays | A reference to a vector of Display* to hold the list of opened displays.

Returns:
  true if the vector is not empty.

void Xfc::Gdk::DisplayManager::set_default_display | ( | const Display & | display | ) |

Sets display as the default display.

Parameters:

  | display | A Display.

## Member Data Documentation

const DisplayOpenedSignalType Xfc::Gdk::DisplayManager::display_opened_signal `[static, protected]`

Display opened signal (see signal_display_opened()).

Calls a slot with the signature:

                 void function(Display& display);
                 // display: The Display being opened.

The documentation for this class was generated from the following file:

- displaymanager.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3